GET /api/v202607/dynamicReporting

Returns a list of all dynamic reports with their IDs and version information.

GetAllDynamicReportsV202607 Permissions: Reports (Run)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

DynamicReportResponseV202607
Property Description Type
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate string (date-time)
description string
dynamicReportId integer (int32)
dynamicReportInfo string
gridState string
modifiedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
modifiedDate string (date-time)
ownerId integer (int32)
wattsChatMessageId integer (int32)
Example Response application/json
[
  {    "createdBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "createdDate": "2026-08-12",    "description": "string",    "dynamicReportId": 1,    "dynamicReportInfo": "string",    "gridState": "string",    "modifiedBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "modifiedDate": "2026-08-12",    "ownerId": 1,    "wattsChatMessageId": 1
  }
]